- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# fingerPrint_s Struct Reference

Associates a trailing sub-directory and final base name with an existing directory finger print. More...

`#include <fprint.h>`

## Data Fields
fprintCacheEntry_s * | entry
const char * | subDir
const char * | baseName

## Detailed Description

Associates a trailing sub-directory and final base name with an existing directory finger print.

Definition at line 45 of file fprint.h.

## Field Documentation

struct fprintCacheEntry_s* fingerPrint_s::entry`[read]`

directory finger print entry (the directory path is stat(2)-able

Definition at line 47 of file fprint.h.

Referenced by doLookup(), fpHashFunction(), and handleOverlappedFiles().

const char* fingerPrint_s::subDir

trailing sub-directory path (directories that are not stat(2)-able

Definition at line 49 of file fprint.h.

Referenced by doLookup(), and fpLookupList().

const char* fingerPrint_s::baseName

file base name

Definition at line 50 of file fprint.h.

Referenced by doLookup(), fpHashFunction(), and fpLookupList().

The documentation for this struct was generated from the following file:

- rpmdb/fprint.h